<?php get_header(); ?>	
<?php $shortname = "blogg_theme"; ?>
<div id="slideshow_cont">
	<div class="flicker-example fullplate" data-block-text="false">
		<ul>			
			<?php
			$slider_arr = array();
			$x = 0;
			$args = array(
				 //'category_name' => 'blog',
				 'post_type' => 'post',
				 'meta_key' => 'ex_show_in_slideshow',
				 'meta_value' => 'Yes',
				 'posts_per_page' => 99
				 );
			query_posts($args);
			while (have_posts()) : the_post(); 
				$thumb = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );
				$img_url = $thumb['0']; 
			?>		
				<li data-background="<?php echo $img_url; ?>" onclick="location.href='<?php the_permalink(); ?>';" style="cursor:pointer;">
					
				</li>		
			<?php array_push($slider_arr,get_the_ID()); ?>
			<?php $x++; ?>
			<?php endwhile; ?>
			<?php wp_reset_query(); ?>                                    		
	
		</ul>
		
	</div>
</div> <!-- //slideshow_cont -->
<div id="content">
	<div class="container">
		<div class="left_cont">
			<div id="posts_cont">
				<?php
				$category_ID = get_category_id('blog');
				$args = array(
					 'post_type' => 'post',
					 'posts_per_page' => 3,
					 'post__not_in' => $slider_arr,
					 'cat' => '-' . $category_ID,
					 'paged' => ( get_query_var('paged') ? get_query_var('paged') : 1)
					 );
				query_posts($args);
				$x = 0;
				while (have_posts()) : the_post(); ?>      
					<div class="home_blog_box">
						<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
						<?php if(get_post_meta( get_the_ID(), 'page_featured_type', true ) == 'youtube') { ?>
							<iframe width="560" height="315" src="http://www.youtube.com/embed/<?php echo get_post_meta( get_the_ID(), 'page_video_id', true ); ?>" frameborder="0" allowfullscreen></iframe>
						<?php } elseif(get_post_meta( get_the_ID(), 'page_featured_type', true ) == 'vimeo') { ?>
							<iframe src="http://player.vimeo.com/video/<?php echo get_post_meta( get_the_ID(), 'page_video_id', true ); ?>?title=0&amp;byline=0&amp;portrait=0&amp;color=03b3fc" width="500" height="338" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
						<?php } else { ?>
							<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('blogg-home-image'); ?></a>
						<?php } ?>
						
						<div class="home_blog_meta"><?php the_time('F jS, Y'); ?> | <?php the_category(', '); ?> | <?php comments_number( '0 Comment', '1 Comment', '% Comments' ); ?></div>
						<p><?php echo ds_get_excerpt('470'); ?></p>					
						<p><a href="<?php the_permalink(); ?>" class="home_blog_more">READ MORE</a></p>
					</div> <!-- //home_blog_box -->	
					
				<?php $x++; ?>
				<?php endwhile; ?>
				<div class="clear"></div>
			</div><!--//posts_cont-->
			<div class="load_more_cont">
				<div align="center"><div class="load_more_text">
				<?php
				ob_start();
				//next_posts_link('<img src="' . get_bloginfo('stylesheet_directory') . '/images/loading-button.png" />');
				next_posts_link('LOAD &#9660; MORE');
				$buffer = ob_get_contents();
				ob_end_clean();
				if(!empty($buffer)) echo $buffer;
				?>
				</div></div>
			</div><!--//load_more_cont-->     	
			<?php
			global $wp_query;
			//echo '**' . $wp_query->max_num_pages . '**';	
			$max_pages = $wp_query->max_num_pages;
			?>			
			<div id="max_pages_id" style="display: none;"><?php echo ceil($wp_query->found_posts / 3); //echo $max_pages-1; ?></div>		
			<?php wp_reset_query(); ?>
		</div> <!-- //left_cont -->
		<?php get_sidebar(); ?>
		<div class="clear"></div>
	</div> <!-- //container -->
</div> <!-- //content -->
<script type="text/javascript">
$(document).ready(
function($){
	$('.load_more_text a').click(function() {
		$(this).css('visibility','hidden');
		//alert('test');
	});
var curPage = 1;
var pagesNum = $("#max_pages_id").html();   // Number of pages	
if(pagesNum == 1)
	$('.load_more_text a').css('display','none');
  $('#posts_cont').infinitescroll({
 
    navSelector  : "div.load_more_text a:first",            
		   // selector for the paged navigation (it will be hidden)
    nextSelector : "div.load_more_text a:first",    
		   // selector for the NEXT link (to page 2)
    itemSelector : "#posts_cont .home_blog_box",
    behavior: "twitter",
    maxPage: <?php echo $max_pages; ?>
		   // selector for all items you'll retrieve
  },function(arrayOfNewElems){
  
  $('#posts_cont').append('<div class="clear"></div>');
  		$('.load_more_text a').css('visibility','visible');
            curPage++;
//            alert(curPage + '**' + pagesNum);
            if(curPage == pagesNum) {
                //$(window).unbind('.infscr');
                $('.load_more_text a').css('display','none');
            } else {}  		
  
      //$('.home_post_cont img').hover_caption();
 
     // optional callback when new content is successfully loaded in.
 
     // keyword `this` will refer to the new DOM content that was just added.
     // as of 1.5, `this` matches the element you called the plugin on (e.g. #content)
     //                   all the new elements that were found are passed in as an array
 
  });  
}  
);
</script>	
<?php get_footer(); ?> 		